Skip to main content
GET
/
api
/
reports
/
payable-aging-summary
Get payable aging summary
curl --request GET \
  --url https://api.example.com/api/reports/payable-aging-summary \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "data": {
    "vendors": [
      {
        "vendorName": "<string>",
        "current": {
          "amount": 123,
          "formattedAmount": "<string>",
          "currencyCode": "<string>",
          "date": {}
        },
        "aging": [
          {
            "fromPeriod": "<string>",
            "beforeDays": 123,
            "total": {
              "amount": 123,
              "formattedAmount": "<string>",
              "currencyCode": "<string>",
              "date": {}
            },
            "toPeriod": "<string>",
            "toDays": 123
          }
        ],
        "total": {
          "amount": 123,
          "formattedAmount": "<string>",
          "currencyCode": "<string>",
          "date": {}
        }
      }
    ],
    "current": {
      "amount": 123,
      "formattedAmount": "<string>",
      "currencyCode": "<string>",
      "date": {}
    },
    "aging": [
      {
        "fromPeriod": "<string>",
        "beforeDays": 123,
        "total": {
          "amount": 123,
          "formattedAmount": "<string>",
          "currencyCode": "<string>",
          "date": {}
        },
        "toPeriod": "<string>",
        "toDays": 123
      }
    ],
    "total": {
      "amount": 123,
      "formattedAmount": "<string>",
      "currencyCode": "<string>",
      "date": {}
    }
  },
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedAsDate": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

agingDaysBefore
number

Number of days before the aging period starts

Example:

30

agingPeriods
number

Number of aging periods to calculate

Example:

4

precision
number

Number of decimal places to display

Example:

2

divideOn1000
boolean

Whether to divide the number by 1000

Example:

false

showZero
boolean

Whether to show zero values

Example:

true

formatMoney
enum<string>

How to format money values

Available options:
total,
always,
none
Example:

"total"

negativeFormat
enum<string>

How to format negative numbers

Available options:
parentheses,
mines
Example:

"parentheses"

noneZero
boolean

Whether to exclude zero values

Example:

false

vendorsIds
string[]

Array of vendor IDs to include

Response

A/P aging summary response

data
object
required

Aging summary data

meta
object
required

Report metadata